function losses=mc_study(regulator_parameters,system,range,n)
[H u]=load_H;  

for i=1:n
    apriori(3)=range.P0;
    system.b=range.b0 + apriori(3)*randn;
    apriori(2)=range.b0 + apriori(3)*randn;
    apriori(1)=range.y0 + range.y0_range*randn;
    while (system.b==0)
        system.b=range.b0 + apriori(3)*randn;
    end
    while (apriori(2)==0)
        apriori(2)=range.b0 + apriori(3)*randn;
    end
    seed=randn(1,size(H,1)+2);
    j=1;
    losses(j,i)=ce(regulator_parameters,system,apriori,seed); j=j+1;
    losses(j,i)=cc(regulator_parameters,system,apriori,seed);j=j+1;
    %losses(j,i)=ps(regulator_parameters,system,apriori,seed);j=j+1;
    losses(j,i)=rizeni(H,u,system,apriori,seed);j=j+1;
    %losses(j,i)=triv(regulator_parameters,system,apriori,seed);j=j+1;
    losses(j,i)=alstr(regulator_parameters,system,apriori,seed);j=j+1;
    
end
end